import request from '@/benyun/utils/request'

//注册货主
export function registerMember(data : any) {
	return request({
		url: '/omsOrder/omsPartner/registerMember',
		method: 'POST',
		data: data
	})
}
//修改货主
export function updateMember(data : any) {
	return request({
		url: '/omsOrder/omsPartner/updateMember',
		method: 'POST',
		data: data
	})
}
//查询全部
export function queryAll() {
	return request({
		url: '/omsOrder/omsPartner/queryAll',
		method: 'GET'
	})
}
//根据ID查询记录
export function queryById(data : any) {
	return request({
		url: '/omsOrder/omsPartner/queryById',
		method: 'GET',
    params: data
	})
}
//禁用
export function disableMember(data : any) {
	return request({
		url: '/omsOrder/omsPartner/disableMember',
		method: 'POST',
    params: data
	})
}
//删除
export function del(data : any) {
	return request({
		url: '/omsOrder/omsPartner/deleteById',
		method: 'POST',
    params: data
	})
}